Subject: Re: [spring] draft-ietf-spring-sr-yang: question about absolute SIDs

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 13 Sep 2019 15:59:17 +0000

Hi Renato, +SPRING WG,

It is an MPLS label (i.e., your option 2).

Excerpted from RFC 8402:

3.1.2.  SR-MPLS

   When SR is used over the MPLS data plane, SIDs are an MPLS label or
   an index into an MPLS label space (either SRGB or SRLB).

We’ll make this clear by rewording “absolute value” to avoid the mathematical connotation.

Thanks,
Acee

From: Renato Westphal <[email-masked]>
Date: Friday, September 13, 2019 at 11:17 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Olivier Dugeon <[email-masked]>
Subject: draft-ietf-spring-sr-yang: question about absolute SIDs
Resent-From: <[email-masked]>
Resent-To: Stephane Litkowski <[email-masked]>, <[email-masked]>, Acee Lindem <[email-masked]>, Pushpasis Sarkar <[email-masked]>, Jeff Tantsura <[email-masked]>
Resent-Date: Friday, September 13, 2019 at 11:17 AM

Hi all,

I have a quick question about the ietf-segment-routing-common YANG module.

Prefix-SIDs can be configured using either an index or an absolute label, as specified by the "value-type" leaf below:

    leaf value-type {
      type enumeration {
        enum "index" {
          description
            "The value will be interpreted as an index.";
        }
        enum "absolute" {
          description
            "The value will become interpreted as an absolute
             value.";
        }
      }
      default "index";
      description
        "This leaf defines how value must be interpreted.";
    }

I think the draft it not very clear about what an absolute value means. There are two possible interpretations:
1. The absolute value must be mapped to a SID index and must be within the SRGB range (as documented on Clarence's book, and this is also what IOS-XR does). The Prefix-SID V/L flags are set to 0.
2. The absolute value represents an MPLS label that can be outside the SRGB range. The Prefix-SID V/L flags are set to 1.

Which one would be the correct interpretation? I tend to think #1 is the intended design, but I'd like to hear a confirmation from the draft authors to be sure about it.

Thanks in advance,
--
Renato Westphal